APIPersonal data

List public shares

GET
/api/v1/shares

Authorization

bearerAuth shares.read
AuthorizationBearer <token>

Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.

In: header

Scope: shares.read

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/shares"
{  "data": [    {      "slug": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "showMap": true,      "showStats": true,      "showFlightList": true,      "dateFrom": "string",      "dateTo": "string",      "showFlightNumbers": true,      "showAirlines": true,      "showAircraft": true,      "showTimes": true,      "showTracks": true,      "showDates": true,      "showSeat": true,      "id": 0,      "createdAt": "2019-08-24T14:15:22Z"    }  ]}